dpkg-query(1)

NAMN
dpkg-query - ett verktyg för att fråga dpkg-databasen

SYNOPS
dpkg-query [flaggor...] åtgärd

BESKRIVNING
dpkg-query är ett verktyg för att visa information om paket i dpkg-databasen.

KOMMANDON

-l, --list [paketnamnsmönster ...]
    List packages matching given pattern. If no package-name-pattern is given, list all packages in %ADMINDIR%/status, excluding the ones marked as not-installed (i.e. those which have been previously purged). Normal shell wildcard characters are allowed in package-name-pattern. Please note you will probably have to quote package-name-pattern to prevent the shell from performing filename expansion. For example this will list all package names starting with “libc6”:
      dpkg-query -l 'libc6*'
    De första tre kolumnerna i utdata visar önskad åtgärd, paketstatus och fel, i den ordningen. Önskad åtgärd
      u = Okänd
      i = Installera
      h = Håll
      r = Ta bort
      p = Rensa
    Paketstatus:
      n = Ej installerat
      c = Konfigurationsfiler
      H = Halvinstallerat
      U = Uppackat
      F = Halvkonfigurerat
      W = Utlösare väntad
      t = Utlösare förestående
      i = Installerad
    Felflaggor:
      <tom> = (ingen)
      R = Ominstallation krävs
    En versal status- eller felbokstav anger att paketet troligen kommer orsaka allvarliga problem. Se dpkg(1) för information om status och flaggor ovan. Utdataformatet för den här flaggan kan inte justeras, men varieras automatiskt för att passa terminalbredden. Det är avsett för mänskliga läsare, och är inte enkelt maskinläsbart. Se -W (--show) och --showformat för hur du konfigurerar utdataformatet.

-W, --show [paketnamnsmönster ...]
    Precis som flaggan --list kommer att paket som matchar det givna mönstret att visas. Utdatat kan dock skräddarsys med flaggan --showformat. Standardutdataformatet är en rad per paket som träffas, där varje rad innehåller namn (utökat med arkitektursbeskrivning för Multi-Arch same-paket) och installerad version av paketet, avdelat med ett tabulatortecken.

-s, --status paketnamn ...
    Rapportera status om det angivna paketet. Detta alternativ visar helt enkelt posten i statusdatabasen för installerade paket. Om flera paketnamn anges avdelas de efterfrågade statusposterna med en tomrad, i samma ordningsföljd som i parameterlistan.

-L, --listfiles paketnamn ...
    Listar filer som installerats på ditt system från paketnamn. Om flera paketnamn anges avdelas den efterfrågade fillistan med en tomrad, i samma ordningsföljd som anges i parameterlistan. Observera att filer som skapats av paketspecifika installationsskript inte visas.

--control-list paketnamn
    List control files installed to your system from package-name (since dpkg 1.16.5). These can be used as input arguments to --control-show.

--control-show paketnamn kontrollfil
    Print the control-file installed to your system from package-name to the standard output (since dpkg 1.16.5).

-c, --control-path paketnamn [control-filnamn]
    List paths for control files installed to your system from package-name (since dpkg 1.15.4). If control-file is specified then only list the path for that control file if it is present. Varning: kommandot är föråldrat eftersom det ger direkt tillgång till den interna dpkg-databasen, vi ber dig gå över till att istället använda --control-list och --control-show för alla tillfällen där dessa kommandon kan ge samma slutresultat. Så länge det finns åtminstone ett tillfälle där kommandot är nödvändigt (dvs. när man måste ta bort ett skadligt postrm-utvecklarskript), och det inte finns någon bra lösning för det, kommer kommandot inte att tas bort.

-S, --search filnamnssökmönster ...
    Search for packages that own files corresponding to the given pattern. Standard shell wildcard characters can be used in the pattern, where asterisk (*) and question mark (?) will match a slash, and blackslash (\) will be used as an escape character. If the first character in the filename-search-pattern is none of ‘*[?/’ then it will be considered a substring match and will be implicitly surrounded by ‘*’ (as in *filename-search-pattern*). If the subsequent string contains any of ‘*[?\’, then it will handled like a glob pattern, otherwise any trailing ‘/’ or ‘/.’ will be removed and a literal path lookup will be performed. This command will not list extra files created by maintainer scripts, nor will it list alternatives.

-p, --print-avail paketnamn
    Visar information om paketnamn, enligt vad som finns i %ADMINDIR%/available. Om flera paketnamn anges avdelas de efterfrågade posterna ur available-filen med en tomrad, med samma ordningsföljd som anges i parameterlistan. Använder du ett APT-baserat skal bör du istället använda apt-cache show paketnamn, då available-filen endast àjourförs om dselect används.

-?, --help
    Visar hjälpskärm och avslutar.

--version
    Visar version och avslutar.

FLAGGOR

--admindir=kat
    Change the location of the dpkg database. The default location is %ADMINDIR%.

--load-avail
    Also load the available file when using the --show and --list commands, which now default to only querying the status file (since dpkg 1.16.2).

-f, --showformat=format
    Flaggan används för att ange formatet på utdata som skapas av --show. Formatet är en sträng som matas ut för varje paket i listan. I formatsträngen inleds följande styrsekvenser med “\”:
        \n  radmatning
        \r  vagnretur
        \t  tabulator
    “\” före ett annat tecken undertrycken en speciell betydelse för det efterföljande tecknet, vilket är kan användas för “\” och “$”. Paketinformation kan läggas in genom att sätta in variabelreferenser till paketfält, på syntaxen “${field[;width]}”. Fält skrivs högerjusterade såvida inte bredden är negativ i vilket fall vänsterjustering kommer att användas. Följande fält stöds, men de är inte nödvändigtvis tillgängliga i statusfilen (endast interna fält och fält som finns i binärpaketet hamnar där):
        Architecture
        Bugs
        Conffiles (internt)
        Config-Version (internt)
        Conflicts
        Breaks
        Depends
        Description
        Enhances
        Essential
        Filename (internt, skalrelaterat)
        Homepage
        Installed-Size
        MD5sum (internt, skalrelaterat)
        MSDOS-Filename (internt, skalrelaterat)
        Maintainer
        Origin
        Package
        Pre-Depends
        Priority
        Provides
        Recommends
        Replaces
        Revision (föråldrat)
        Section
        Size  (internt, skalrelaterat)
        Source
        Status (internt)
        Suggests
        Tag (normalt inte i .deb, utan i arkivets Packages-filer)
        Triggers-Awaited (internt)    Triggers-Pending (internt)    Version
    Följande är virtuella fält, genererade av dpkg-query från värden från adnra fält (observera att dessa inte är giltiga namn för fält i kontrollfiler):

    binary:Package
        It contains the binary package name with a possible architecture qualifier like “libc6:amd64” (since dpkg 1.16.2). An architecture qualifier will be present to make the package name unambiguous, for example if the package has a Multi-Arch field with a value of same or the package is of a foreign architecture.

    binary:Summary
        Innehåller paketets korta beskrivning (sedan dpkg 1.16.2).

    db:Status-Abbrev
        It contains the abbreviated package status (as three characters), such as “ii ” or “iHR” (since dpkg 1.16.2). See the --list command description for more details.

    db:Status-Want
        Innehåller paketets önskade status, del av Status-fältet (sedan dpkg 1.17.11).

    db:Status-Status
        Innehåller paketets statusord, del av Status-fältet (sedan dpkg 1.17.11).

    db:Status-Eflag
        Innehåller paketets statusfelflagga, del av Status-fältet (sedan dpkg 1.17.11).

    source:Package
        Innehåller källkodsnamnet för binärpaketet (sedan dpkg 1.16.2).

    source:Version
        Innehåller källkodsversionen för binärpaketet (sedan dpkg 1.16.2)

    source:Upstream-Version
        It contains the source package upstream version for this binary package (since dpkg 1.18.16)

    Standardformatet är “${binary:Package}\t${Version}\n”. Alla andra fält som finns i statusfilen (även användardefinierade fält) kan faktiskt också hämtas. De visas dock som de är, ingen konvertering eller felkorrigering görs på dem. För att hämta namnet på paketansvarig och installerad version av dpkg och kan du köra:
      dpkg-query -W -f='${binary:Package} ${Version}\t${Maintainer}\n' dpkg

RETURVÄRDE

0   Den önskade frågan utfördes utan fel.

1   The requested query failed either fully or partially, due to no file or package being found (except for --control-path, --control-list and --control-show were such errors are fatal).

2   Fatal or unrecoverable error due to invalid command-line usage, or interactions with the system, such as accesses to the database, memory allocations, etc.

MILJÖVARIABLER

DPKG_ADMINDIR
    Om satt, och flaggan --admindir inte har angivits, används värdet som datakatalog för dpkg.

COLUMNS
    Inställningen påverkar utdata från kommandot --list genom att ändra bredden på dess utdata.

SE ÄVEN
dpkg(1).

ÖVERSÄTTNING
Peter Krefting och Daniel Nylander.